document.addEventListener('DOMContentLoaded', function() {
	var generalMessage = "! Welcome to the skUnity Docs Chrome Extension. Just simply type your search into the box below and click go! Want to view the results in a new tab? Just click Go or hit enter twice";

	var api = window.SDK;
	api.init({ 'client_id': 'k2c5myvle2' });
	api.isAuthorized('read', function (isAuthorized, apiData) {
		if (isAuthorized) {
			$('#heyThere').html("Hey there, " + apiData.username + generalMessage);
		} else {
			$('#heyThere').html("Hey there" + generalMessage);
		}

	});

	var displayingContent = false;
	var currentSearchTerm = "";
	function execute(string) {
		if (string != '') {
			if(currentSearchTerm == string) {
				window.open("https://docs.skunity.com/syntax/search/" + string);
				return;
			} else {
				currentSearchTerm = string;
			}
			url = 'https://docs.skunity.com/ajax/?request=chromeExtension_Search&query=' + encodeURI(string);
			/*document.getElementById("mainBody").style.height = "600px";*/
			document.getElementById("mainBody").style.height = "600px";
			$.get(url, function(data) {
				if(displayingContent) {
					$('#hidden-item-container').fadeOut("slow", function () {
						$('#hidden-form').html(data);	
						$('#hidden-item-container').fadeIn("slow");
					});
				} else {
					displayingContent = true;
					$('#hidden-form').html(data);
					$('#hidden-item-container').fadeIn("slow");
				}
				registerAddonLinkListeners();
			}, "html");
		}
	}

	function registerAddonLinkListeners() {
		var elementsArray = document.querySelectorAll('a[name="addonLink"]');
		console.log(elementsArray);
		elementsArray.forEach(function(elem) {
			elem.addEventListener("click", function() {
				var addon = elem.getAttribute("data-addon");
				execute("addon:" + addon);
				$('#searchinput').val("addon:" + addon);
			});
		});
	}

	$('input').on('keypress', function(e) {
		var code = e.keyCode || e.which;
		if(code==13){
			var string = document.getElementById('searchinput').value;
			execute(string);
		}
	});

	document.getElementById('button').addEventListener('click', function() {
		var string = document.getElementById('searchinput').value;
		execute(string);
	});

});